Bug 50481 - [patch] update java/bluej -> 1.2.2
Summary: [patch] update java/bluej -> 1.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-31 15:40 UTC by stolz
Modified: 2003-07-10 17:20 UTC (History)
0 users

See Also:


Attachments
bluej.patch (891 bytes, patch)
2003-03-31 15:40 UTC, stolz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stolz 2003-03-31 15:40:03 UTC
Update java/bluej to 1.2.2.

Maintainer was contacted and even received the patch some weeks ago.

Fix: - Update to 1.2.2
- Track new JDK version
Comment 1 Greg Lewis freebsd_committer 2003-06-18 16:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

I'll try to get this committed.  BTW, here is an updated patch 
which converts the JDK specification to USE_JAVA, simplifies the 
install and fixes the packing list.  I'd also like to see  
${PREFIX}/bluej/bluej moved into ${PREFIX}/bin, since I think  
thats a more reasonable location (and allows people to just type 
"bluej" and have it all work without messing with their PATH). 

Index: bluej/Makefile 
=================================================================== 
RCS file: /var/fcvs/ports/java/bluej/Makefile,v 
retrieving revision 1.13 
diff -u -r1.13 Makefile 
--- bluej/Makefile	21 Feb 2003 12:30:25 -0000	1.13 
+++ bluej/Makefile	18 Jun 2003 06:08:29 -0000 
@@ -6,12 +6,9 @@ 
# 

PORTNAME=	bluej 
-PORTVERSION=	1.2.0 
+PORTVERSION=	1.2.2 
CATEGORIES=	java editors 
-MASTER_SITES=	ftp://ftp.bluej.org/pub/bluej/  
-		http://www.metaverse.nl/~ernst/  
-		${MASTER_SITE_LOCAL} 
-MASTER_SITE_SUBDIR=	znerd 
+MASTER_SITES=	ftp://ftp.bluej.org/pub/bluej/ 
DISTNAME=	${PORTNAME}-${PORTVERSION:S/.//g} 
EXTRACT_SUFX=	.jar 

@@ -22,17 +19,11 @@ 
EXTRACT_ONLY= 
NO_BUILD=	yes 

-# Called MY_JDK and MY_JDK_PORT so not to conflict with any other possible 
-# definitions in the ports system. 
-MY_JDK=		linux-sun-jdk1.4.0 
-MY_JDK_PORT=	linux-sun-jdk14 
-RUN_DEPENDS=    ${LOCALBASE}/${MY_JDK}/bin/java:${PORTSDIR}/java/${MY_JDK_PORT} 
+USE_JAVA=	1.3+ 

do-install: 
-	@${LN} -s ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} ${PREFIX}/${DISTNAME}${EXTRACT_SUFX} 
@${ECHO} Starting BlueJ graphical installer...  Please install to default path of 
@${ECHO} ${PREFIX}/bluej.  Close the installer when done. 
-	@cd ${PREFIX}; ${LOCALBASE}/${MY_JDK}/bin/java -jar ${DISTNAME}${EXTRACT_SUFX} 
-	@${RM} -f ${PREFIX}/${DISTNAME}${EXTRACT_SUFX} 
+	@cd ${PREFIX}; ${JAVA_HOME}/bin/java -jar ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} 

.include <bsd.port.mk> 
Index: bluej/distinfo 
=================================================================== 
RCS file: /var/fcvs/ports/java/bluej/distinfo,v 
retrieving revision 1.4 
diff -u -r1.4 distinfo 
--- bluej/distinfo	4 Jul 2002 18:50:47 -0000	1.4 
+++ bluej/distinfo	17 Jun 2003 16:40:07 -0000 
@@ -1 +1 @@ 
-MD5 (bluej-120.jar) = a8cbd5bcfb544ea13fb31f2898cb15dd 
+MD5 (bluej-122.jar) = ec480c16a3aa2cb61db9cebcf3653841 
Index: bluej/pkg-plist 
=================================================================== 
RCS file: /var/fcvs/ports/java/bluej/pkg-plist,v 
retrieving revision 1.3 
diff -u -r1.3 pkg-plist 
--- bluej/pkg-plist	4 Jul 2002 18:50:47 -0000	1.3 
+++ bluej/pkg-plist	18 Jun 2003 06:02:17 -0000 
@@ -46,6 +46,58 @@ 
bluej/examples/shapes/README.TXT 
bluej/examples/shapes/Square.java 
bluej/examples/shapes/Triangle.java 
+bluej/lib/afrikaans/templates/newclass/abstract.tmpl 
+bluej/lib/afrikaans/templates/newclass/applet.tmpl 
+bluej/lib/afrikaans/templates/newclass/interface.tmpl 
+bluej/lib/afrikaans/templates/newclass/LEESMY.txt 
+bluej/lib/afrikaans/templates/newclass/stdclass.tmpl 
+bluej/lib/afrikaans/templates/newclass/unittest.tmpl 
+bluej/lib/afrikaans/templates/appletj.tmpl 
+bluej/lib/afrikaans/templates/html.tmpl 
+bluej/lib/afrikaans/templates/LEESMY.txt 
+bluej/lib/afrikaans/templates/method.tmpl 
+bluej/lib/afrikaans/templates/readme.tmpl 
+bluej/lib/afrikaans/templates/readmeexp.tmpl 
+bluej/lib/afrikaans/dialogues 
+bluej/lib/afrikaans/exception.help 
+bluej/lib/afrikaans/javac.help 
+bluej/lib/afrikaans/jikes.help 
+bluej/lib/afrikaans/labels 
+bluej/lib/afrikaans/moe.help 
+bluej/lib/chinese/templates/newclass/abstract.tmpl 
+bluej/lib/chinese/templates/newclass/applet.tmpl 
+bluej/lib/chinese/templates/newclass/interface.tmpl 
+bluej/lib/chinese/templates/newclass/README 
+bluej/lib/chinese/templates/newclass/stdclass.tmpl 
+bluej/lib/chinese/templates/appletj.tmpl 
+bluej/lib/chinese/templates/html.tmpl 
+bluej/lib/chinese/templates/method.tmpl 
+bluej/lib/chinese/templates/README 
+bluej/lib/chinese/templates/readme.tmpl 
+bluej/lib/chinese/templates/readmeexp.tmpl 
+bluej/lib/chinese/dialogues 
+bluej/lib/chinese/exception.help 
+bluej/lib/chinese/javac.help 
+bluej/lib/chinese/jikes.help 
+bluej/lib/chinese/labels 
+bluej/lib/chinese/moe.help 
+bluej/lib/czech/templates/newclass/abstract.tmpl 
+bluej/lib/czech/templates/newclass/applet.tmpl 
+bluej/lib/czech/templates/newclass/interface.tmpl 
+bluej/lib/czech/templates/newclass/README 
+bluej/lib/czech/templates/newclass/stdclass.tmpl 
+bluej/lib/czech/templates/appletj.tmpl 
+bluej/lib/czech/templates/html.tmpl 
+bluej/lib/czech/templates/method.tmpl 
+bluej/lib/czech/templates/README 
+bluej/lib/czech/templates/readme.tmpl 
+bluej/lib/czech/templates/readmeexp.tmpl 
+bluej/lib/czech/dialogues 
+bluej/lib/czech/exception.help 
+bluej/lib/czech/javac.help 
+bluej/lib/czech/jikes.help 
+bluej/lib/czech/labels 
+bluej/lib/czech/moe.help 
bluej/lib/english/templates/newclass/abstract.tmpl 
bluej/lib/english/templates/newclass/applet.tmpl 
bluej/lib/english/templates/newclass/interface.tmpl 
@@ -57,7 +109,6 @@ 
bluej/lib/english/templates/README 
bluej/lib/english/templates/readme.tmpl 
bluej/lib/english/templates/readmeexp.tmpl 
-bluej/lib/english/templates/shell.tmpl 
bluej/lib/english/dialogues 
bluej/lib/english/exception.help 
bluej/lib/english/javac.help 
@@ -75,7 +126,6 @@ 
bluej/lib/german/templates/README 
bluej/lib/german/templates/readme.tmpl 
bluej/lib/german/templates/readmeexp.tmpl 
-bluej/lib/german/templates/shell.tmpl 
bluej/lib/german/dialogues 
bluej/lib/german/exception.help 
bluej/lib/german/javac.help 
@@ -101,6 +151,7 @@ 
bluej/lib/images/darrow_red.gif 
bluej/lib/images/delete16.gif 
bluej/lib/images/edit16.gif 
+bluej/lib/images/empty.gif 
bluej/lib/images/help.gif 
bluej/lib/images/export16.gif 
bluej/lib/images/import16.gif 
@@ -130,6 +181,23 @@ 
bluej/lib/images/working-disab.gif 
bluej/lib/images/working-stopped.gif 
bluej/lib/images/working.gif 
+bluej/lib/italian/templates/newclass/abstract.tmpl 
+bluej/lib/italian/templates/newclass/applet.tmpl 
+bluej/lib/italian/templates/newclass/interface.tmpl 
+bluej/lib/italian/templates/newclass/README 
+bluej/lib/italian/templates/newclass/stdclass.tmpl 
+bluej/lib/italian/templates/appletj.tmpl 
+bluej/lib/italian/templates/html.tmpl 
+bluej/lib/italian/templates/method.tmpl 
+bluej/lib/italian/templates/README 
+bluej/lib/italian/templates/readme.tmpl 
+bluej/lib/italian/templates/readmeexp.tmpl 
+bluej/lib/italian/dialogues 
+bluej/lib/italian/exception.help 
+bluej/lib/italian/javac.help 
+bluej/lib/italian/jikes.help 
+bluej/lib/italian/labels 
+bluej/lib/italian/moe.help 
bluej/lib/japanese/templates/newclass/abstract.tmpl 
bluej/lib/japanese/templates/newclass/applet.tmpl 
bluej/lib/japanese/templates/newclass/interface.tmpl 
@@ -140,7 +208,6 @@ 
bluej/lib/japanese/templates/README 
bluej/lib/japanese/templates/readme.tmpl 
bluej/lib/japanese/templates/readmeexp.tmpl 
-bluej/lib/japanese/templates/shell.tmpl 
bluej/lib/japanese/dialogues 
bluej/lib/japanese/exception.help 
bluej/lib/japanese/javac.help 
@@ -158,7 +225,6 @@ 
bluej/lib/spanish/templates/README 
bluej/lib/spanish/templates/readme.tmpl 
bluej/lib/spanish/templates/readmeexp.tmpl 
-bluej/lib/spanish/templates/shell.tmpl 
bluej/lib/spanish/dialogues 
bluej/lib/spanish/exception.help 
bluej/lib/spanish/javac.help 
@@ -176,7 +242,6 @@ 
bluej/lib/swedish/templates/README 
bluej/lib/swedish/templates/readme.tmpl 
bluej/lib/swedish/templates/readmeexp.tmpl 
-bluej/lib/swedish/templates/shell.tmpl 
bluej/lib/swedish/dialogues 
bluej/lib/swedish/exception.help 
bluej/lib/swedish/javac.help 
@@ -185,7 +250,6 @@ 
bluej/lib/swedish/moe.help 
bluej/lib/antlr.jar 
bluej/lib/bluej.defs 
-bluej/lib/bluej.ico 
bluej/lib/bluej.jar 
bluej/lib/editor.jar 
bluej/lib/moe.defs 
@@ -200,6 +264,15 @@ 
@dirrm bluej/examples/picture 
@dirrm bluej/examples/shapes 
@dirrm bluej/examples 
+@dirrm bluej/lib/afrikaans/templates/newclass 
+@dirrm bluej/lib/afrikaans/templates 
+@dirrm bluej/lib/afrikaans 
+@dirrm bluej/lib/chinese/templates/newclass 
+@dirrm bluej/lib/chinese/templates 
+@dirrm bluej/lib/chinese 
+@dirrm bluej/lib/czech/templates/newclass 
+@dirrm bluej/lib/czech/templates 
+@dirrm bluej/lib/czech 
@dirrm bluej/lib/english/templates/newclass 
@dirrm bluej/lib/english/templates 
@dirrm bluej/lib/english 
@@ -207,6 +280,9 @@ 
@dirrm bluej/lib/german/templates 
@dirrm bluej/lib/german 
@dirrm bluej/lib/images 
+@dirrm bluej/lib/italian/templates/newclass 
+@dirrm bluej/lib/italian/templates 
+@dirrm bluej/lib/italian 
@dirrm bluej/lib/japanese/templates/newclass 
@dirrm bluej/lib/japanese/templates 
@dirrm bluej/lib/japanese
Comment 2 Greg Lewis freebsd_committer 2003-07-10 17:19:47 UTC
State Changed
From-To: open->closed

Committed, thanks!